package com.usky.rule.vo.log;

public class BaseLog {
    private String type;
    private Object detail;

    public BaseLog() {
    }

    public String getType() {
        return this.type;
    }

    public Object getDetail() {
        return this.detail;
    }

    public void setType(final String type) {
        this.type = type;
    }

    public void setDetail(final Object detail) {
        this.detail = detail;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof BaseLog)) {
            return false;
        } else {
            BaseLog other = (BaseLog)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$type = this.getType();
                Object other$type = other.getType();
                if (this$type == null) {
                    if (other$type != null) {
                        return false;
                    }
                } else if (!this$type.equals(other$type)) {
                    return false;
                }

                Object this$detail = this.getDetail();
                Object other$detail = other.getDetail();
                if (this$detail == null) {
                    if (other$detail != null) {
                        return false;
                    }
                } else if (!this$detail.equals(other$detail)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof BaseLog;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $type = this.getType();
        result = result * 59 + ($type == null ? 43 : $type.hashCode());
        Object $detail = this.getDetail();
        result = result * 59 + ($detail == null ? 43 : $detail.hashCode());
        return result;
    }

    public String toString() {
        return "BaseLog(type=" + this.getType() + ", detail=" + this.getDetail() + ")";
    }
}
